| v_hdmitx1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_HdmiTx1_Frl Struct Reference

This typedef contains audio stream specific data structure. More...

## Data Fields
XV_HdmiTx1_FrlTrainingState | TrainingState
| Fixed Rate Link State. More...
u16 | TimerCnt
| FRL Timer. More...
u8 | MaxFrlRate
| Maximum Supported FRL Rate. More...
u8 | FrlRate
| Current FRL Rate. More...
u8 | MaxLineRate
| Maximum Supported FRL Line Rate. More...
u8 | LineRate
| Current FRL Line Rate. More...
u8 | MaxLanes
    Maximum Supported number
of FRL lanes More...
u8 | Lanes
| Current number of lanes used. More...
u8 | FfeLevels
| Number of Supported FFE Levels for the current FRL Rate. More...
XV_HdmiTx1_FrlFfeAdjType | LaneFfeAdjReq
| The TxFFE for each of the lanes. More...
u8 | RateLock
| This flag is set when the FRL timer expires. More...

## Detailed Description

This typedef contains audio stream specific data structure.

## Field Documentation

u8 XV_HdmiTx1_Frl::FfeLevels

Number of Supported FFE Levels for the current FRL Rate.

Referenced by XV_HdmiTx1_FrlRate().

u8 XV_HdmiTx1_Frl::FrlRate

Current FRL Rate.

Referenced by XV_HdmiTx1_FrlRate(), XV_HdmiTx1_FrlTrainingInit(), and XV_HdmiTx1_StartFrlTraining().

XV_HdmiTx1_FrlFfeAdjType XV_HdmiTx1_Frl::LaneFfeAdjReq

The TxFFE for each of the lanes.

u8 XV_HdmiTx1_Frl::Lanes

Current number of lanes used.

Referenced by XV_HdmiTx1_CfgInitialize(), XV_HdmiTx1_FrlRate(), and XV_HdmiTx1_StartFrlTraining().

u8 XV_HdmiTx1_Frl::LineRate

Current FRL Line Rate.

Referenced by XV_HdmiTx1_FRLACRStart(), XV_HdmiTx1_FrlRate(), and XV_HdmiTx1_StartFrlTraining().

u8 XV_HdmiTx1_Frl::MaxFrlRate

Maximum Supported FRL Rate.

Referenced by XV_HdmiTx1_CfgInitialize(), XV_HdmiTx1_SetFrlMaxFrlRate(), and XV_HdmiTx1_StartFrlTraining().

u8 XV_HdmiTx1_Frl::MaxLanes

    Maximum Supported number

of FRL lanes

u8 XV_HdmiTx1_Frl::MaxLineRate

Maximum Supported FRL Line Rate.

u8 XV_HdmiTx1_Frl::RateLock

This flag is set when the FRL timer expires.

This flag locks the TX line rate to the starting line rate

Referenced by XV_HdmiTx1_CfgInitialize().

u16 XV_HdmiTx1_Frl::TimerCnt

FRL Timer.

XV_HdmiTx1_FrlTrainingState XV_HdmiTx1_Frl::TrainingState

Fixed Rate Link State.

Referenced by XV_HdmiTx1_CfgInitialize(), XV_HdmiTx1_ExecFrlState(), XV_HdmiTx1_StartFrlTraining(), and XV_HdmiTx1_StartTmdsMode().